//  SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//  SPDX-License-Identifier: GPL-3.0-or-later

import QtQuick
import QtQuick.Controls

Item {
    id: line
    required property string title
    required property string icon
    required property color color
    required property string balance

    Row {
        readonly property int iconSize: height
        readonly property int freespace: width - iconSize - spacing * children.length - 1

        anchors.fill: parent
        spacing: 5

        Rectangle {
            width: parent.iconSize
            height: parent.iconSize
            color: line.color

            IconLabel {
                anchors.fill: parent
                icon {
                    name: line.icon
                    width: width
                    height: height
                }
            }
        }

        Text {
            width: parent.freespace / 2
            height: parent.height
            text: title
            verticalAlignment: Text.AlignVCenter
            color: palette.text
            font.bold: true
        }

        Text {
            width: parent.freespace / 2
            height: parent.height
            text: balance
            verticalAlignment: Text.AlignVCenter
            color: palette.text
        }
    }
}
